﻿2026-06-04T00:32:52.0057054Z ##[group]Run dtolnay/rust-toolchain@stable
2026-06-04T00:32:52.0057723Z with:
2026-06-04T00:32:52.0058154Z   components: clippy
2026-06-04T00:32:52.0058588Z   toolchain: stable
2026-06-04T00:32:52.0058993Z ##[endgroup]
2026-06-04T00:32:52.0469695Z ##[group]Run : parse toolchain version
2026-06-04T00:32:52.0470295Z [36;1m: parse toolchain version[0m
2026-06-04T00:32:52.0470747Z [36;1mif [[ -z $toolchain ]]; then[0m
2026-06-04T00:32:52.0471613Z [36;1m  # GitHub does not enforce `required: true` inputs itself. https://github.com/actions/runner/issues/1070[0m
2026-06-04T00:32:52.0472532Z [36;1m  echo "'toolchain' is a required input" >&2[0m
2026-06-04T00:32:52.0473000Z [36;1m  exit 1[0m
2026-06-04T00:32:52.0473542Z [36;1melif [[ $toolchain =~ ^stable' '[0-9]+' '(year|month|week|day)s?' 'ago$ ]]; then[0m
2026-06-04T00:32:52.0475356Z [36;1m  if [[ Windows == macOS ]]; then[0m
2026-06-04T00:32:52.0476210Z [36;1m    echo "toolchain=1.$((($(date -v-$(sed 's/stable \([0-9]*\) \(.\).*/\1\2/' <<< $toolchain) +%s)/60/60/24-16569)/7/6))" >> $GITHUB_OUTPUT[0m
2026-06-04T00:32:52.0477116Z [36;1m  else[0m
2026-06-04T00:32:52.0477771Z [36;1m    echo "toolchain=1.$((($(date --date "${toolchain#stable }" +%s)/60/60/24-16569)/7/6))" >> $GITHUB_OUTPUT[0m
2026-06-04T00:32:52.0478514Z [36;1m  fi[0m
2026-06-04T00:32:52.0478990Z [36;1melif [[ $toolchain =~ ^stable' 'minus' '[0-9]+' 'releases?$ ]]; then[0m
2026-06-04T00:32:52.0479853Z [36;1m  echo "toolchain=1.$((($(date +%s)/60/60/24-16569)/7/6-${toolchain//[^0-9]/}))" >> $GITHUB_OUTPUT[0m
2026-06-04T00:32:52.0480979Z [36;1melif [[ $toolchain =~ ^1\.[0-9]+$ ]]; then[0m
2026-06-04T00:32:52.0481846Z [36;1m  echo "toolchain=1.$((i=${toolchain#1.}, c=($(date +%s)/60/60/24-16569)/7/6, i+9*i*(10*i<=c)+90*i*(100*i<=c)))" >> $GITHUB_OUTPUT[0m
2026-06-04T00:32:52.0482696Z [36;1melse[0m
2026-06-04T00:32:52.0483077Z [36;1m  echo "toolchain=$toolchain" >> $GITHUB_OUTPUT[0m
2026-06-04T00:32:52.0483561Z [36;1mfi[0m
2026-06-04T00:32:52.0506548Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-04T00:32:52.0507202Z env:
2026-06-04T00:32:52.0507463Z   toolchain: stable
2026-06-04T00:32:52.0507811Z ##[endgroup]
2026-06-04T00:32:52.1907320Z ##[group]Run : construct rustup command line
2026-06-04T00:32:52.1907869Z [36;1m: construct rustup command line[0m
2026-06-04T00:32:52.1908595Z [36;1mecho "targets=$(for t in ${targets//,/ }; do echo -n ' --target' $t; done)" >> $GITHUB_OUTPUT[0m
2026-06-04T00:32:52.1910040Z [36;1mecho "components=$(for c in ${components//,/ }; do echo -n ' --component' $c; done)" >> $GITHUB_OUTPUT[0m
2026-06-04T00:32:52.1910828Z [36;1mecho "downgrade=" >> $GITHUB_OUTPUT[0m
2026-06-04T00:32:52.1928303Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-04T00:32:52.1929023Z env:
2026-06-04T00:32:52.1929288Z   targets: 
2026-06-04T00:32:52.1929577Z   components: clippy
2026-06-04T00:32:52.1930242Z ##[endgroup]
2026-06-04T00:32:52.3002394Z ##[group]Run : set $CARGO_HOME
2026-06-04T00:32:52.3002862Z [36;1m: set $CARGO_HOME[0m
2026-06-04T00:32:52.3003396Z [36;1mecho CARGO_HOME=${CARGO_HOME:-"$USERPROFILE\.cargo"} >> $GITHUB_ENV[0m
2026-06-04T00:32:52.3019871Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-04T00:32:52.3020544Z ##[endgroup]
2026-06-04T00:32:52.3738160Z ##[group]Run : install rustup if needed on windows
2026-06-04T00:32:52.3738755Z [36;1m: install rustup if needed on windows[0m
2026-06-04T00:32:52.3739265Z [36;1mif ! command -v rustup &>/dev/null; then[0m
2026-06-04T00:32:52.3740520Z [36;1m  curl --proto '=https' --tlsv1.2 --retry 10 --retry-connrefused --location --silent --show-error --fail https://win.rustup.rs/x86_64 --output 'D:\a\_temp\rustup-init.exe'[0m
2026-06-04T00:32:52.3741964Z [36;1m  'D:\a\_temp\rustup-init.exe' --default-toolchain none --no-modify-path -y[0m
2026-06-04T00:32:52.3742697Z [36;1m  echo "$CARGO_HOME\bin" >> $GITHUB_PATH[0m
2026-06-04T00:32:52.3745519Z [36;1mfi[0m
2026-06-04T00:32:52.3762120Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-04T00:32:52.3762781Z env:
2026-06-04T00:32:52.3763088Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-04T00:32:52.3763523Z ##[endgroup]
2026-06-04T00:32:52.4534611Z ##[group]Run rustup toolchain install stable --component clippy --profile minimal --no-self-update
2026-06-04T00:32:52.4535832Z [36;1mrustup toolchain install stable --component clippy --profile minimal --no-self-update[0m
2026-06-04T00:32:52.4553217Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-04T00:32:52.4553866Z env:
2026-06-04T00:32:52.4554164Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-04T00:32:52.4554608Z   RUSTUP_PERMIT_COPY_RENAME: 1
2026-06-04T00:32:52.4555207Z ##[endgroup]
2026-06-04T00:32:55.5417146Z info: syncing channel updates for stable-x86_64-pc-windows-msvc
2026-06-04T00:32:56.1037321Z info: latest update on 2026-05-28 for version 1.96.0 (ac68faa20 2026-05-25)
2026-06-04T00:32:56.1519839Z info: removing previous version of component clippy
2026-06-04T00:32:56.1690004Z info: removing previous version of component rustfmt
2026-06-04T00:32:56.1832997Z info: removing previous version of component rust-std for target x86_64-pc-windows-gnu
2026-06-04T00:32:56.2934513Z info: removing previous version of component rust-std for target i686-pc-windows-msvc
2026-06-04T00:32:56.3736476Z info: removing previous version of component cargo
2026-06-04T00:32:56.4424002Z info: removing previous version of component rust-std
2026-06-04T00:32:56.5248420Z info: removing previous version of component rustc
2026-06-04T00:32:56.6496140Z info: downloading 7 components
2026-06-04T00:33:23.9216508Z 
2026-06-04T00:33:24.5162049Z   stable-x86_64-pc-windows-msvc updated - rustc 1.96.0 (ac68faa20 2026-05-25) (from rustc 1.95.0 (59807616e 2026-04-14))
2026-06-04T00:33:24.5163933Z 
2026-06-04T00:33:24.5468139Z ##[group]Run rustup default stable
2026-06-04T00:33:24.5468461Z [36;1mrustup default stable[0m
2026-06-04T00:33:24.5482028Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-04T00:33:24.5482434Z env:
2026-06-04T00:33:24.5482648Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-04T00:33:24.5482919Z ##[endgroup]
2026-06-04T00:33:24.6289236Z info: using existing install for stable-x86_64-pc-windows-msvc
2026-06-04T00:33:24.6332345Z info: default toolchain set to stable-x86_64-pc-windows-msvc
2026-06-04T00:33:24.6361175Z 
2026-06-04T00:33:24.6597404Z   stable-x86_64-pc-windows-msvc unchanged - rustc 1.96.0 (ac68faa20 2026-05-25)
2026-06-04T00:33:24.6598532Z 
2026-06-04T00:33:24.6811838Z ##[group]Run : create cachekey
2026-06-04T00:33:24.6812144Z [36;1m: create cachekey[0m
2026-06-04T00:33:24.6812675Z [36;1mDATE=$(rustc +stable --version --verbose | sed -ne 's/^commit-date: \(20[0-9][0-9]\)-\([01][0-9]\)-\([0-3][0-9]\)$/\1\2\3/p')[0m
2026-06-04T00:33:24.6813321Z [36;1mHASH=$(rustc +stable --version --verbose | sed -ne 's/^commit-hash: //p')[0m
2026-06-04T00:33:24.6813828Z [36;1mecho "cachekey=$(echo $DATE$HASH | head -c12)" >> $GITHUB_OUTPUT[0m
2026-06-04T00:33:24.6826413Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-04T00:33:24.6826837Z env:
2026-06-04T00:33:24.6827050Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-04T00:33:24.6827325Z ##[endgroup]
2026-06-04T00:33:25.4217505Z ##[group]Run : disable incremental compilation
2026-06-04T00:33:25.4246886Z [36;1m: disable incremental compilation[0m
2026-06-04T00:33:25.4248910Z [36;1mif [ -z "${CARGO_INCREMENTAL+set}" ]; then[0m
2026-06-04T00:33:25.4249459Z [36;1m  echo CARGO_INCREMENTAL=0 >> $GITHUB_ENV[0m
2026-06-04T00:33:25.4249912Z [36;1mfi[0m
2026-06-04T00:33:25.4264167Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-04T00:33:25.4264586Z env:
2026-06-04T00:33:25.4264791Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-04T00:33:25.4265055Z ##[endgroup]
2026-06-04T00:33:25.5129046Z ##[group]Run : enable colors in Cargo output
2026-06-04T00:33:25.5129389Z [36;1m: enable colors in Cargo output[0m
2026-06-04T00:33:25.5129691Z [36;1mif [ -z "${CARGO_TERM_COLOR+set}" ]; then[0m
2026-06-04T00:33:25.5130017Z [36;1m  echo CARGO_TERM_COLOR=always >> $GITHUB_ENV[0m
2026-06-04T00:33:25.5130305Z [36;1mfi[0m
2026-06-04T00:33:25.5141201Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-04T00:33:25.5141603Z env:
2026-06-04T00:33:25.5141816Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-04T00:33:25.5142095Z   CARGO_INCREMENTAL: 0
2026-06-04T00:33:25.5142319Z ##[endgroup]
2026-06-04T00:33:25.5762753Z ##[group]Run : enable Cargo sparse registry
2026-06-04T00:33:25.5763132Z [36;1m: enable Cargo sparse registry[0m
2026-06-04T00:33:25.5763697Z [36;1m# implemented in 1.66, stabilized in 1.68, made default in 1.70[0m
2026-06-04T00:33:25.5764699Z [36;1mif [ -z "${CARGO_REGISTRIES_CRATES_IO_PROTOCOL+set}" -o -f "D:\a\_temp"/.implicit_cargo_registries_crates_io_protocol ]; then[0m
2026-06-04T00:33:25.5765394Z [36;1m  if rustc +stable --version --verbose | grep -q '^release: 1\.6[89]\.'; then[0m
2026-06-04T00:33:25.5765907Z [36;1m    touch "D:\a\_temp"/.implicit_cargo_registries_crates_io_protocol || true[0m
2026-06-04T00:33:25.5766384Z [36;1m    echo CARGO_REGISTRIES_CRATES_IO_PROTOCOL=sparse >> $GITHUB_ENV[0m
2026-06-04T00:33:25.5767071Z [36;1m  elif rustc +stable --version --verbose | grep -q '^release: 1\.6[67]\.'; then[0m
2026-06-04T00:33:25.5767603Z [36;1m    touch "D:\a\_temp"/.implicit_cargo_registries_crates_io_protocol || true[0m
2026-06-04T00:33:25.5768059Z [36;1m    echo CARGO_REGISTRIES_CRATES_IO_PROTOCOL=git >> $GITHUB_ENV[0m
2026-06-04T00:33:25.5768402Z [36;1m  fi[0m
2026-06-04T00:33:25.5768605Z [36;1mfi[0m
2026-06-04T00:33:25.5779467Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-04T00:33:25.5779884Z env:
2026-06-04T00:33:25.5780113Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-04T00:33:25.5780387Z   CARGO_INCREMENTAL: 0
2026-06-04T00:33:25.5780603Z   CARGO_TERM_COLOR: always
2026-06-04T00:33:25.5780826Z ##[endgroup]
2026-06-04T00:33:25.7836745Z ##[group]Run : work around spurious network errors in curl 8.0
2026-06-04T00:33:25.7837230Z [36;1m: work around spurious network errors in curl 8.0[0m
2026-06-04T00:33:25.7837815Z [36;1m# https://rust-lang.zulipchat.com/#narrow/stream/246057-t-cargo/topic/timeout.20investigation[0m
2026-06-04T00:33:25.7838458Z [36;1mif rustc +stable --version --verbose | grep -q '^release: 1\.7[01]\.'; then[0m
2026-06-04T00:33:25.7838953Z [36;1m  echo CARGO_HTTP_MULTIPLEXING=false >> $GITHUB_ENV[0m
2026-06-04T00:33:25.7839290Z [36;1mfi[0m
2026-06-04T00:33:25.7851174Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-04T00:33:25.7851631Z env:
2026-06-04T00:33:25.7851873Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-04T00:33:25.7852180Z   CARGO_INCREMENTAL: 0
2026-06-04T00:33:25.7852453Z   CARGO_TERM_COLOR: always
2026-06-04T00:33:25.7852707Z ##[endgroup]
2026-06-04T00:33:25.9254725Z ##[group]Run rustc +stable --version --verbose
2026-06-04T00:33:25.9255324Z [36;1mrustc +stable --version --verbose[0m
2026-06-04T00:33:25.9274465Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-04T00:33:25.9275146Z env:
2026-06-04T00:33:25.9275465Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-04T00:33:25.9275906Z   CARGO_INCREMENTAL: 0
2026-06-04T00:33:25.9276260Z   CARGO_TERM_COLOR: always
2026-06-04T00:33:25.9276614Z ##[endgroup]
2026-06-04T00:33:26.0146918Z rustc 1.96.0 (ac68faa20 2026-05-25)
2026-06-04T00:33:26.0147875Z binary: rustc
2026-06-04T00:33:26.0158700Z commit-hash: ac68faa20c58cbccd01ee7208bf3b6e93a7d7f96
2026-06-04T00:33:26.0160404Z commit-date: 2026-05-25
2026-06-04T00:33:26.0160912Z host: x86_64-pc-windows-msvc
2026-06-04T00:33:26.0161431Z release: 1.96.0
2026-06-04T00:33:26.0162268Z LLVM version: 22.1.2
